package com.ghost.technic.server.card.effect.impl;

import com.ghost.technic.server.Player;
import com.ghost.technic.server.card.effect.ConstantAbility;
import com.ghost.technic.server.game.GameState;
import lombok.extern.slf4j.Slf4j;

@Slf4j
public class MusthicMurmookEffect implements ConstantAbility {

    @Override
    public void apply() {
        log.info("Musthic Murmook effect active: everyone’s keys cost +1");
    }

    @Override
    public void remove() {
        log.info("Musthic Murmook effect removed.");
    }

    @Override
    public int keyCostModifier(Player forPlayer, GameState state) {
        return 1; // Affects both players
    }
}
